# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")} 

Name: rubber
Version: 1.1
Release: 4%{?dist}
Summary: An automated system for building LaTeX documents

Group: Applications/Publishing
License: GPL+

URL: http://rubber.sourceforge.net/
Source0: http://rubber.sourceforge.net/%{name}-%{version}.tar.gz
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
BuildRequires: python-devel texinfo

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
This is a building system for LaTeX documents. It is based on a routine that
runs just as many compilations as necessary. The module system provides a
great flexibility that virtually allows support for any package with no user
intervention, as well as pre- and post-processing of the document. The
standard modules currently provide support for bibtex, dvips, dvipdfm, pdftex,
makeindex. A good number of standard packages are supported, including
graphics/graphicx (with automatic conversion between various formats and
Metapost compilation).

%prep
%setup -q
for file in doc/man-fr/*; do
iconv -f ISO88591 -t utf8 $file -o $file
done

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -fr %{buildroot}
%{__python} setup.py install --root  %{buildroot}

%clean
%{__rm} -fr %{buildroot}

%post 
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun 
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_bindir}/*
%{_datadir}/rubber
%{_datadir}/info/*
%{python_sitelib}/*
%{_mandir}/man1/*.gz
%{_mandir}/fr/man1/*.gz

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1-3
- Rebuild for Python 2.6

* Wed Sep 17 2008 Sergio Pascual <sergiops@fedoraproject.org> - 1.1-2
- ***

* Wed Sep 17 2008 Sergio Pascual <sergiops@fedoraproject.org> - 1.1-1
- Initial specfile

